searchData={"items":[{"type":"module","title":"ExFinalFusion","doc":"ExFinalFusion is an Elixir binding to the Rust crate.\n[finalfusion](https://crates.io/crates/finalfusion)\nFinalfusion is a file format for word embeddings,\nalong with an associated set of libraries and utilities.\n\nfrom the crate documentation:\nfinalfusion supports a variety of formats:\n- Vocabulary\n     - Subwords\n     - No subwords\n- Storage\n     - Array\n     - Memory-mapped\n     - Quantized\n- Format\n     - finalfusion\n     - fastText\n     - floret\n     - GloVe\n     - word2vec\n\nMoreover, finalfusion provides:\n\n- Similarity queries\n- Analogy queries\n- Quantizing embeddings through reductive\n- Conversion to the following formats:\n     - finalfusion\n     - word2vec\n     - GloVe\n\n[final fusion file format](https://finalfusion.github.io/spec)\n\n[Project page](https://finalfusion.github.io/)\n\n[Train embeddings](https://finalfusion.github.io/finalfrontier.html)\n\nWhere to get models:\n\n- [Fasttext models](https://fasttext.cc/)","ref":"ExFinalFusion.html"},{"type":"function","title":"ExFinalFusion.analogy/5","doc":"Returns the calculated analogy.\n\nThis method returns words that are close in vector space for the\nanalogy query word1 is to word2 as word3 is to ?.\nMore concretely, it searches embeddings that are similar to:","ref":"ExFinalFusion.html#analogy/5"},{"type":"function","title":"ExFinalFusion.analogy_masked/8","doc":"This function is similar to the analogy query, but it also allows for\nthe removal of queried words from the results.","ref":"ExFinalFusion.html#analogy_masked/8"},{"type":"function","title":"ExFinalFusion.dims/1","doc":"","ref":"ExFinalFusion.html#dims/1"},{"type":"function","title":"ExFinalFusion.embedding/2","doc":"Returns the embedding of a word.","ref":"ExFinalFusion.html#embedding/2"},{"type":"function","title":"ExFinalFusion.embedding_batch/2","doc":"Returns a vector of embeddings for a word.","ref":"ExFinalFusion.html#embedding_batch/2"},{"type":"function","title":"ExFinalFusion.embedding_similarity/3","doc":"returns words that are similar to the query vector.","ref":"ExFinalFusion.html#embedding_similarity/3"},{"type":"function","title":"ExFinalFusion.idx/2","doc":"Returns the index of a word.","ref":"ExFinalFusion.html#idx/2"},{"type":"function","title":"ExFinalFusion.len/1","doc":"","ref":"ExFinalFusion.html#len/1"},{"type":"function","title":"ExFinalFusion.mean_embedding_batch/2","doc":"Returns the average embedding for the provided word and the fraction of\n how many words were included in the calculation.","ref":"ExFinalFusion.html#mean_embedding_batch/2"},{"type":"function","title":"ExFinalFusion.metadata/1","doc":"Returns the metadata as a map or nil.","ref":"ExFinalFusion.html#metadata/1"},{"type":"function","title":"ExFinalFusion.read/2","doc":"Functions Available on the Embeddings Module\n\n- :floret_text,\n- :embeddings,\n- :mmap_embeddings,\n- :fasttext,\n- :fasttext_lossy,\n- :text,\n- :text_lossy,\n- :text_dims,\n- :text_dims_lossy,\n- :word2vec_binary,\n- :word2vec_binary_lossy,\n\nAliases\n\n- :fifu = :embeddings,\n- :word2vec = :word2vec_binary,\n- :floret = :floret_text","ref":"ExFinalFusion.html#read/2"},{"type":"function","title":"ExFinalFusion.vocab_len/1","doc":"","ref":"ExFinalFusion.html#vocab_len/1"},{"type":"function","title":"ExFinalFusion.word_similarity/3","doc":"Returns words that are similar to the query word.","ref":"ExFinalFusion.html#word_similarity/3"},{"type":"function","title":"ExFinalFusion.words/1","doc":"Returns a list of words included in the embeddings.","ref":"ExFinalFusion.html#words/1"},{"type":"function","title":"ExFinalFusion.words_len/1","doc":"","ref":"ExFinalFusion.html#words_len/1"},{"type":"type","title":"ExFinalFusion.read_type/0","doc":"It allows you to specify which function will be used to parse the\n embeddings file. You can find more information in the Rust crate\n documentation.","ref":"ExFinalFusion.html#t:read_type/0"},{"type":"type","title":"ExFinalFusion.search_options/0","doc":"Options passed to the functions that search for embeddings:\n\nDefault options:\n- limit: 1\n- batch_size: None (means all at once, but this is memory intensive)\n- similarity type: Cosine similarity\n- skip: []","ref":"ExFinalFusion.html#t:search_options/0"},{"type":"type","title":"ExFinalFusion.similarity_type/0","doc":"This specifies how to calculate the similarity type when returning\nsimilarities. This only changes the returned value, as cosine similarity\nis always used.","ref":"ExFinalFusion.html#t:similarity_type/0"},{"type":"module","title":"ExFinalFusion.Embeddings","doc":"Struct that keeps a reference to the model","ref":"ExFinalFusion.Embeddings.html"},{"type":"module","title":"ExFinalFusion.Native","doc":"Documentation for `ExFinalFusion.Native`.","ref":"ExFinalFusion.Native.html"},{"type":"function","title":"ExFinalFusion.Native.analogy/5","doc":"returns the calculated analogy\n\nThis method returns words that are close in vector space for the\nanalogy query word1 is to word2 as word3 is to ?.\nMore concretely, it searches embeddings that are similar to:","ref":"ExFinalFusion.Native.html#analogy/5"},{"type":"function","title":"ExFinalFusion.Native.analogy_masked/8","doc":"similar to the analogy query but allows to remove queried words from results","ref":"ExFinalFusion.Native.html#analogy_masked/8"},{"type":"function","title":"ExFinalFusion.Native.dims/1","doc":"","ref":"ExFinalFusion.Native.html#dims/1"},{"type":"function","title":"ExFinalFusion.Native.embedding/2","doc":"returns embedding of a word","ref":"ExFinalFusion.Native.html#embedding/2"},{"type":"function","title":"ExFinalFusion.Native.embedding_batch/2","doc":"returns a list of embeddings for provided word","ref":"ExFinalFusion.Native.html#embedding_batch/2"},{"type":"function","title":"ExFinalFusion.Native.embedding_similarity/3","doc":"returns words that are similar to the query vector.","ref":"ExFinalFusion.Native.html#embedding_similarity/3"},{"type":"function","title":"ExFinalFusion.Native.idx/2","doc":"returns the index of a word","ref":"ExFinalFusion.Native.html#idx/2"},{"type":"function","title":"ExFinalFusion.Native.len/1","doc":"","ref":"ExFinalFusion.Native.html#len/1"},{"type":"function","title":"ExFinalFusion.Native.mean_embedding_batch/2","doc":"Returns the average embedding for the provided word and the fraction of\n how many words were included in the calculation.","ref":"ExFinalFusion.Native.html#mean_embedding_batch/2"},{"type":"function","title":"ExFinalFusion.Native.metadata/1","doc":"returns the metadata as a map or nil","ref":"ExFinalFusion.Native.html#metadata/1"},{"type":"function","title":"ExFinalFusion.Native.read/2","doc":"Functions available on embeddings module\n\n- :floret_text,\n- :embeddings,\n- :mmap_embeddings,\n- :fasttext,\n- :fasttext_lossy,\n- :text,\n- :text_lossy,\n- :text_dims,\n- :text_dims_lossy,\n- :word2vec_binary,\n- :word2vec_binary_lossy,\n\nAliases\n\n- :fifu = :embeddings,\n- :word2vec = :word2vec_binary,\n- :floret = :floret_text","ref":"ExFinalFusion.Native.html#read/2"},{"type":"function","title":"ExFinalFusion.Native.vocab_len/1","doc":"","ref":"ExFinalFusion.Native.html#vocab_len/1"},{"type":"function","title":"ExFinalFusion.Native.word_similarity/3","doc":"returns words that are similar to the query word.","ref":"ExFinalFusion.Native.html#word_similarity/3"},{"type":"function","title":"ExFinalFusion.Native.words/1","doc":"returns a list of words included in the embeddings","ref":"ExFinalFusion.Native.html#words/1"},{"type":"function","title":"ExFinalFusion.Native.words_len/1","doc":"","ref":"ExFinalFusion.Native.html#words_len/1"},{"type":"type","title":"ExFinalFusion.Native.read_type/0","doc":"It allows to specify what function will be used to parse the embeddings\nfile.\nYou can find more in the rust crate documentation","ref":"ExFinalFusion.Native.html#t:read_type/0"},{"type":"type","title":"ExFinalFusion.Native.search_options/0","doc":"Options passed to the functions that search for embeddings\n\ndefault options:\nlimit: 1,\nbatch_size: None, means all at once - this is memory intensive.\nsimilarity_type: :cosine_similarity,\nskip: [], only for embedding_similarity as a mask","ref":"ExFinalFusion.Native.html#t:search_options/0"},{"type":"type","title":"ExFinalFusion.Native.similarity_type/0","doc":"Specifies how to calculate the similarity type when returning similarities.\nThis only changes the returned value. Cosine similarity is always used.","ref":"ExFinalFusion.Native.html#t:similarity_type/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}